<ui:composition
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">

        <div class="row">
            <div class="col-lg-6">
                <h:panelGroup rendered="#{empty documentManager.getSelectedDocument()}">
                    <h2>Cannot find document</h2>
                    <p>#{documentManager.errorMessage}</p>

                    <h:commandButton value="Back"
                                     styleClass="btn btn-default" onclick="window.history.go(-1); return false;"/>
                </h:panelGroup>
                <h:panelGroup rendered="#{not empty documentManager.getSelectedDocument() and identity.loggedIn}">
                    <h:form id="editForm">
                        <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                            <ui:define name="panel_title">
                                <h:outputText value="Edit document"
                                              rendered="#{documentManager.getSelectedDocument().id != null}"/>
                                <h:outputText value="New document"
                                              rendered="#{documentManager.getSelectedDocument().id == null}"/>

                            </ui:define>

                            <s:decorate template="/layout/form/_edit.xhtml">
                                <ui:param name="id" value="name"/>
                                <ui:define name="label">Name</ui:define>
                                <h:inputText id="name" value="#{documentManager.getSelectedDocument().name}"
                                             required="true" styleClass="form-control"/>
                            </s:decorate>
                            <s:decorate id="uriDecorate" template="/layout/form/_edit.xhtml">
                                <ui:param name="id" value="uri"/>
                                <ui:define name="label">Uri</ui:define>
                                <h:inputText id="uri" value="#{documentManager.getSelectedDocument().uri}"
                                             required="true" styleClass="form-control">
                                    <f:validator binding="#{uriValidator}"/>
                                    <a4j:ajax event="blur" execute="@this"
                                              render="uriDecorate,documentPdf"/>
                                </h:inputText>
                            </s:decorate>
                            <s:decorate template="/layout/form/_edit.xhtml">
                                <ui:param name="id" value="documentId"/>
                                <ui:define name="label">document id</ui:define>
                                <h:inputText id="documentId" value="#{documentManager.getSelectedDocument().documentId}"
                                             styleClass="form-control"/>
                            </s:decorate>
                            <s:decorate template="/layout/form/_edit.xhtml">
                                <ui:param name="id" value="versionId"/>
                                <ui:define name="label">version id</ui:define>
                                <h:inputText id="versionId" value="#{documentManager.getSelectedDocument().versionId}"
                                             styleClass="form-control"/>
                            </s:decorate>
                            <s:decorate template="/layout/form/_edit.xhtml">
                                <ui:param name="id" value="revisionId"/>
                                <ui:define name="label">revision Id</ui:define>
                                <ui:decorate template="/layout/popover/_popover_on_icon.xhtml">
                                    <ui:param name="id" value="revisionIdQuestion"/>
                                    <ui:param name="icon_class" value="gzl-icon-question-circle"/>
                                    <ui:param name="placement" value="right"/>
                                    <ui:param name="trigger" value="click"/>
                                    <ui:define name="content">
                                        <h:outputText styleClass="help-block"
                                                      value="The revision format depends on the one written on the document. If the revision is expressed with a date please enter the date with the following format : MM/DD/YYYY"/>
                                    </ui:define>
                                </ui:decorate>
                                <h:inputText id="revisionId" value="#{documentManager.getSelectedDocument().revisionId}"
                                             required="true" styleClass="form-control"/>
                            </s:decorate>
                            <s:decorate template="/layout/form/_edit.xhtml">
                                <ui:param name="id" value="resourceProvenanceId"/>
                                <ui:define name="label">resourceProvenance Id</ui:define>
                                <h:inputText id="resourceProvenanceId"
                                             value="#{documentManager.getSelectedDocument().resourceProvenanceId}"
                                             styleClass="form-control"/>
                            </s:decorate>

                            <s:div styleClass="checkbox">
                                <label>
                                    <h:selectBooleanCheckbox id="updateAssertions"
                                                             value="#{documentManager.updateAssertionsStatus}">
                                    </h:selectBooleanCheckbox>
                                    <h:outputText
                                            value="#{messages['net.ihe.gazelle.assertion-manager.UpdateAllLinkedAssertionsStatusToToBeReviewed']}"/>
                                </label>
                            </s:div>
                            <ui:define name="panel_footer">
                                <h:commandButton value="#{messages['gazelle.simulator.Save']}"
                                                 action="#{documentManager.save()}"
                                                 styleClass="gzl-btn-green"/>
                                <h:commandButton value="#{messages['users.Cancel']}"
                                                 styleClass="btn btn-default"
                                                 onclick="window.history.go(-1); return false;"/>
                            </ui:define>
                        </ui:decorate>
                    </h:form>

                </h:panelGroup>
            </div>
            <div class="col-lg-6">
                <s:div id="documentPdf">
                    <h:panelGroup rendered="#{not empty documentManager.getSelectedDocument().uri}">
                        <iframe height="1100" scrolling="no" width="100%" id="pdfjs"
                                src="#{request.contextPath}/pdfjs/web/viewer.html?file=#{request.contextPath}/documents/getPDFdocument.seam%3Furl%3D#{documentManager.getSelectedDocument().getUri()}"></iframe>
                        <br/>
                        <br/>
                        <ui:include src="/fileCache/_clearFileCache.xhtml"/>
                    </h:panelGroup>
                </s:div>
            </div>
        </div>
    </ui:define>
</ui:composition>